test_framerecursion.html | Error thrown during test: onLoad is not defined - got 0, expected 1

RESOLVED FIXED in mozilla2.0b8

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: graydon, Assigned: Ehsan)

Tracking

({intermittent-failure})

Trunk
mozilla2.0b8
x86
Windows NT
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

10 years ago
Got a random orange yesterday:

*** 75183 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/microformats/tests/test_framerecursion.html | Error thrown during test: onLoad is not defined - got 0, expected 1

Build log is: WINNT 5.2 tracemonkey unit test on 2009/04/24 23:17:03

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1240640223.1240647861.15222.gz

Vanished with cycling the tester.
(Reporter)

Updated

10 years ago
Whiteboard: [orange]
(Assignee)

Comment 1

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1251636291.1251644993.23307.gz
Linux mozilla-central unit test on 2009/08/30 05:44:51
(Assignee)

Comment 2

10 years ago
Actually the above failure says "onLoad is not defined, which is very strange since it's clearly defined in the page script...
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257866178.1257866986.20292.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/10 07:16:18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267450792.1267452084.9815.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2010/03/01 05:39:52
s: win32-slave23
What about moving the onLoad function into a script tag in the head? Maybe it's a parser timing issue.
(Assignee)

Comment 6

9 years ago
Posted patch Patch (v1) (obsolete) — Splinter Review
Move the script block before the iframe.  Should be a trivial review.
Assignee: mozilla → ehsan
Status: NEW → ASSIGNED
Attachment #492258 - Flags: review?(gavin.sharp)
Comment on attachment 492258 [details] [diff] [review]
Patch (v1)

>diff --git a/toolkit/components/microformats/tests/test_framerecursion.html b/toolkit/components/microformats/tests/test_framerecursion.html

>-  <pre id="test">

I don't think you actually want to remove this? IIRC it's used by the harness to print out results...
Attachment #492258 - Flags: review?(gavin.sharp) → review+
(Assignee)

Comment 8

9 years ago
Posted patch For check-inSplinter Review
Attachment #492258 - Attachment is obsolete: true
(Assignee)

Updated

9 years ago
Whiteboard: [orange] → [orange][needs landing]
(Assignee)

Comment 9

9 years ago
http://hg.mozilla.org/mozilla-central/rev/8cde8889726d
Status: ASSIGNED → RESOLVED
Last Resolved: 9 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Whiteboard: [orange][needs landing] → [orange]
Target Milestone: --- → mozilla2.0b8
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.